# The `etcd3gw.lock` Module

class etcd3gw.lock.Lock(name, ttl=30, client=None)

  Bases: `object`

  acquire()

    Acquire the lock.

  is_acquired()

    Check if the lock is acquired

  refresh()

    Refresh the lease on the lock

    Returns:

  release()

    Release the lock

  property uuid

    The unique id of the lock

this page last updated: 2023-11-30 08:47:52

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.